- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# krat_exp_flatten.hh File Reference

This file holds the declaration of the flatten() algorithm. More...

Include dependency graph for krat_exp_flatten.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<class Series, class T>
std::list< typename Series::monoid_t::alphabet_t::letter_t > | flatten (const Element< Series, T > &exp)
| This algorithm extracts the letters from a rational expression.

## Detailed Description

This file holds the declaration of the flatten() algorithm.

This is the header file for the flatten algorithm. This algorithm extracts the letters from a rational expression and store them in a list.

Author:
  Thomas Claveirole <thomas.claveirole@lrde.epita.fr>

See also:
  flatten()

Definition in file krat_exp_flatten.hh.